Onboard a user in the authenticated tenant.
curl --request POST \
--url https://test.didxtech.com/consumer-onboarding/api/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"username": "johndoe",
"firstName": "John",
"lastName": "Doe",
"externalIdentifier": "PARTNER-ID-12345"
}
'import requests
url = "https://test.didxtech.com/consumer-onboarding/api/users"
payload = {
"email": "user@example.com",
"username": "johndoe",
"firstName": "John",
"lastName": "Doe",
"externalIdentifier": "PARTNER-ID-12345"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
username: 'johndoe',
firstName: 'John',
lastName: 'Doe',
externalIdentifier: 'PARTNER-ID-12345'
})
};
fetch('https://test.didxtech.com/consumer-onboarding/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"email": "user@example.com",
"tempPassword": "Test@12345"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Consumer Onboarding API
Onboard a user in the authenticated tenant.
Creates or resolves a user by email and/or username. At least one of email or username must be provided. Behavior varies by combination — see 409 responses for conflict scenarios.
POST
/
users
Onboard a user in the authenticated tenant.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

